function flag = isNewestMatlab(ref)

if(nargin < 1)
    ref = '2014a';
end

matlabVersion  = version('-release');
[matlabYear,~,~] = datevec(datenum(version('-date')));

ref_num  = str2double(regexp(ref,'\d{4}','match'));
ref_char = regexp(ref,'[^\d{4}]','match');

matlab_char = regexp(matlabVersion,'[^\d{4}]','match');

if(matlabYear > ref_num)
    flag = true;
elseif(matlabYear == ref_num && strcmp(matlab_char,'b') && strcmp(ref_char,'a'))
    flag = true;
else
    flag = false;
end


end

