%cd 'C:\RCWareProjects\p.muchna\projects\MatlabSoap2MervisDb\x64\Debug';

matlab_time = now;

timerVal = tic;

timeTo = round(8.64e7 * (matlab_time - datenum('1970', 'yyyy'))) / 1000; %unix time - cas v sekundach od roku 1970
timeFrom = timeTo - 5*24*3600; %pet dni zpatky
    
varOffset = 0;
varCount = 10000;

valOffset = 0;
valCount = 10000;

%vsechny promenne z technologickeho celku
varDef = {{'SoftPlcRtId', 'CeskeTeplo1'}}; 

%konkretni promenna
varDef = {{'GroupName','Stav VZT'}};

out = MexMain({'rc_user', 'rc_user', 'http://db.mervis.info/db/energocentrum/RcWareDbAccess'}, 1, varDef, { timeFrom, timeTo, varOffset, varCount, valOffset, valCount } );

%dotaz na seznam promennych
out = MexMain({'rc_user', 'rc_user', 'http://db.mervis.info/db/energocentrum/RcWareDbAccess'}, 0, varDef, { varOffset, varCount } );


%zapis promenne - 2 hodnoty
%parametry - {credentials}{function = 3}{VarKeyDefinition with key status}, typeOfVal, forceSave, {{ utcStamp, goodTrough, interval, val}}
%key/value obsahuje navic 0/1 pro specifikace klicovych klicu 
%typeofval - Double = 0, Blob = 1, String = 2, Int64 = 3, NotDefined = 4, ISODateTime = 5, Boolean = 6
%MexMain({'rc_user', 'rc_user', 'http://localhost:9876/RcWareDbAccess'}, 3, {'SoftPlcRtId', 'CeskeTeplo1', 1; 'DpName', 'Pokus2', 0}, 0, 1, [{ timeTo, timeTo, 60, 10.0 }; { timeTo+5, timeTo+5, 60, -10.0 }] );

%cteni zapsane promenne
%out = MexMain({'rc_user', 'rc_user', 'http://localhost:9876/RcWareDbAccess'}, 1, {{'SoftPlcRtId', 'CeskeTeplo1'; 'DpName', 'Pokus2'}}, { timeFrom, timeTo+100, varOffset, varCount, valOffset, valCount } );

%mazani zapsane promenne
%key/value obsahuje navic 0/1 pro specifikace klicovych klicu 
%MexMain({'rc_user', 'rc_user', 'http://localhost:9876/RcWareDbAccess'}, 2, {{'SoftPlcRtId', 'CeskeTeplo1', 1; 'DpName', 'Pokus2', 0}})


%dotaz na promennou podle data
%parametry - {credentials}{function = 4}{VarKeyDefinition without key status}{ referenceTime, dataSpecification, variableOffset, variableCount }
%data specification - { MinTimestamp = 0, MaxTimestamp = 1, FirstLessThanReferenceDateTime = 2, FirstLessThanOrEqualThanReferenceTime = 3, FirstGreaterThanReferenceDateTime = 4, FirstGreaterThanOrEqualThanReferenceTime = 5 };
%pro 0 a 1 nema referenceTime vyznam - vraci nejmladsi/nejstarsi hodnotu
out3 = MexMain({'rc_user', 'rc_user', 'http://localhost:9876/RcWareDbAccess'}, 4, {{'SoftPlcRtId', 'CeskeTeplo1'; 'DpName', 'Pokus2'}}, { 0, 1, varOffset, varCount});

tEnd = toc(timerVal);

fprintf('Elapsed time: %d minutes and %f seconds\n',floor(tEnd/60),rem(tEnd,60));

%%==========PRIKLAD DOWLAND OSTRADB ===========================
db =  MerbonDatabase('rc_user', 'rc_user', 'http://db.mervis.info/db/energocentrum/RcWareDbAccess');
varDef = {'SoftPlcRtId','uceebtabs'};%;'VariableName','Kalorimetr.Flow'
% varDef = {{'TechDPName','CS_BRNO_MODRICE'}};
vars  = db.getAllVars({varDef});
[data,dataC,time] = db.getData(vars([42]),localMatlab2utcMatlab(now-35),localMatlab2utcMatlab(now-1),5*60,'local');

v = vars(15);
v.setKeyKey({'VariableName'},1);

find = {{'VariableName','DOMAT.AI8'};{'VariableName','DOMAT.HF_wall_rear'}};
ind = db.getIndecesByIdentifiers(vars,find);
vars(ind).Identifiers;

%===========PRIKLAD UKLADANI+MAZANI LOCALHOST===================
db =  MerbonDatabase('rc_user', 'rc_user', 'http://localhost:9876/RcWareDbAccess');
varDef = {'Name','PokusVar';'id','b'};
varDef2 = {'Name','PokusVar2';'id','a'};
v = MerbonDbVariable(varDef);
v1 = MerbonDbVariable(varDef2);
load data1
load data2
load times
v.setKeyKey({'Name'},0);
v1.setKeyKey({'Name'},0);
db.SaveData([v;v1],times(1:100),{data1(1:100),data2(1:100)});


v3 = MerbornDbVariable({{'id','a'}});

db.DeleteVariable(v);
db.DeleteVariable(v1);
%% TABS
% db =  MerbonDatabase('rc_user', 'rc_user', 'http://db.mervis.info/db/energocentrum/RcWareDbAccess');
db =  MerbonDatabase('uceeb_tabs', 'tabslab', 'http://db.mervis.info/db/energocentrum/RcWareDbAccess');
% varDef = {'SoftPlcRtId','uceebtabs'};%;'VariableName','Kalorimetr.Flow'
varDef = {'SoftPlcRtId','uceebtabs2'};%;'VariableName','Kalorimetr.Flow'

vars  = db.getAllVars({varDef});

find = {{'VariableName','DOMAT.AI8'};{'VariableName','DOMAT.HF_wall_rear'};...
        {'VariableName','suply_Q_set_point'}};
ff = {{'VariableName','DOMAT.AO.02 Valve_Volt'}};
ind = db.getIndecesByIdentifiers(vars,ff);

from = localMatlab2utcMatlab(datenum('6/1/2015'));
to = localMatlab2utcMatlab(now);
[data,time] = db.getDataUnmerged([vars(ind);vars(90)],from,to,5*60,'local');

Q_com = (data(:,1)-data(:,2)).*1.045;
plot(time,[data(:,3),Q_com]);datetick
legend('Q-ref','Q-real');

%% TABS - 2
db =  MerbonDatabase('rc_user', 'rc_user', 'http://db.mervis.info/db/energocentrum/RcWareDbAccess');
db =  MerbonDatabase('j.kohout', 'uceebTabs', 'http://db.mervis.info/db/energocentrum/RcWareDbAccess');
varDef = {'SoftPlcRtId','uceebtabs'};%;'VariableName','Kalorimetr.Flow'

vars  = db.getAllVars({varDef});

return_mikrotik = {'VariableName','Mikrotic-1.Tpanel_center_i'};
supply_mikrotik = {'VariableName','Mikrotic-1.Tpanel_right_i'};
return_pipe = {'VariableName','DOMAT.AI8'};
supply_pipe = {'VariableName','DOMAT.HF_wall_rear'};

rm_idx = db.getIndecesByIdentifiers(vars,{return_mikrotik});
sm_idx = db.getIndecesByIdentifiers(vars,{supply_mikrotik});
rp_idx = db.getIndecesByIdentifiers(vars,{return_pipe});
sp_idx = db.getIndecesByIdentifiers(vars,{supply_pipe});

from = localMatlab2utcMatlab(datenum('1/1/2014'));
to = localMatlab2utcMatlab(datenum('12/7/2016'));
span = 5*60;

[data, time] = db.getData(vars([rm_idx,sm_idx,rp_idx,sp_idx]), from, to, span, 'local');

plot(time,data);
legend('return mikrotik','supply mikrotik','return pipe','supply pipe');



